<?php
require_once('savefamily.php');
require_once('saveexternalcontacts.php');
require_once('saveusefulnumbers.php');
require_once('savefloodequipments.php');
require_once('saveinsurancecover.php');
require_once('saveturnoffsupplier.php');
require_once('savewarningcodes.php');
require_once('saveawareness.php');

$json = file_get_contents('php://input');
$obj = json_decode($json,true);
$mappers = $obj['mappers'];

$loginemail = $mappers['loginemail'];
$familymembers = $mappers['familymembers'];
$externalcontacts = $mappers['externalcontacts'];
$usefulnumbers = $mappers['usefulnumbers'];
$floodequipment = $mappers['floodequipment'];
$insurancecover = $mappers['insurancecover'];
$turnoffsupplier = $mappers['turnoffsupplier'];
$warningcodes = $mappers['warningcodes'];
$awareness = $mappers['awareness'];

$con=mysqli_connect("localhost","castell1_castell","Shadi1993","castell1_mappersc");

$issavefamily =  savefamily($con, $loginemail,$familymembers);
$issaveexternalcontacts = saveexternalcontacts($con,$loginemail,$externalcontacts);
$issaveusefulnumbers = saveusefulnumbers($con,$loginemail,$usefulnumbers);
$issavefloodequipments = savefloodequipments($con,$loginemail,$floodequipment);
$issaveinsurancecover = saveinsurancecover($con,$loginemail,$insurancecover);
$issaveturnoffsupplier = saveturnoffsupplier($con,$loginemail,$turnoffsupplier);
$issavewarningcodes = savewarningcodes($con,$loginemail,$warningcodes);
$issaveawareness = saveawareness($con,$loginemail,$awareness);

if($issavefamily && $issaveexternalcontacts && $issaveusefulnumbers && $issavefloodequipments
    && $issaveinsurancecover && $issaveturnoffsupplier && $issavewarningcodes && $issaveawareness)
{
    $data = array("dataupload" => "successful");
    $data1= array("mappers" => $data);
    $data_string = json_encode($data1);
    print_r ($data_string);
}
else
{
    $data = array("dataupload" => "failed");
    $data1= array("mappers" => $data);
    $data_string = json_encode($data1);
    print_r ($data_string);
}
?>